Core - Bug # 42009

Status: Resolved Priority: Must have

Author: Dmitry Dulepov Category: Extension Manager
Created: 2012-10-15 Assigned To: Oliver Hader
Updated: 2012-11-02 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity: medium

Is Regression:

Sprint Focus:

Subject: Enable extenisions with BE modules don't refresh the module list

Description

When installing an extension with BE modules through the new extension manager, the left frame with modules is not refreshed.

How to test:

- Uninstall Help>About

- See that it is still listed on the left (clicking will show a error)
- Refresh the BE

- Install Help>About ext

- No module is visible on the left

Related issues:

related to Core - Feature # 16920: Refresh left menu frame if extension with ... Closed 2007-01-30
related to Core - Bug # 18028: When installing an extension that contains a n... Closed 2008-01-20
duplicated by Core - Bug # 58016: module list is not refreshed after installi... New 2014-04-17

Associated revisions

Revision 07477¢96 - 2012-11-02 20:01 - Oliver Hader

[BUGFIX] Enable extenisions with BE modules don't refresh the module list

When installing an extension with BE modules through the new
extension manager, the left frame with modules is not
refreshed. An accordant call to the module menu widget needs

to be triggered in those cases.

Change-Id: Ibead3b1a0da99be300c16ae3237986387294a74f
Releases: 6.0

Fixes: #42009

Reviewed-on: http://review.typo3.org/16129

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-11-02 10:59 - Oliver Hader

- Status changed from New to Accepted

2015-08-04 1/2



http://review.typo3.org/16129

#2 - 2012-11-02 13:46 - Oliver Hader
- Assigned To set to Oliver Hader

#3 - 2012-11-02 13:46 - Oliver Hader
- Target version set to 6.0.0-RC1

#4 - 2012-11-02 13:48 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16129

#5 - 2012-11-02 14:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/16129

#6 - 2012-11-02 14:08 - Oliver Hader
- Subject changed from Installing extenisions with BE modules does not refresh the module list to Enable extenisions with BE modules don't refresh the
module list

#7 - 2012-11-02 14:08 - Oliver Hader
- Complexity set to medium

#8 - 2012-11-02 20:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:07477c9619a90f030aa4a2c3dd0efae281d8610e.
